# Google OAuth Client Library for Java

## Description

Written by Google, the Google OAuth Client Library for Java is a powerful and easy-to-use Java library for the OAuth 1.0a and OAuth 2.0 authorization standards. The Google OAuth Client Library for Java is designed to work with any OAuth service on the web, not just with Google APIs. It is built on the [Google HTTP Client Library for Java](https://github.com/google/google-http-java-client).

The library supports the following Java environments:
 - Java 5 (or higher), standard (SE) and enterprise (EE)
 - Android 2.1 (or higher)
 - Google App Engine

For access to Google APIs, see the [Google APIs Client Library for Java](https://github.com/google/google-api-java-client).

This is an open-source library, and [contributions](https://developers.google.com/api-client-library/java/google-oauth-java-client/contribute) are welcome.

## Documentation
- [Developer's Guide](https://developers.google.com/api-client-library/java/google-oauth-java-client/)
- [Setup Instructions](https://developers.google.com/api-client-library/java/google-oauth-java-client/setup)
- [Samples](https://developers.google.com/api-client-library/java/google-oauth-java-client/samples)
- [JavaDoc](https://developers.google.com/api-client-library/java/google-oauth-java-client/reference/index)
- [Release Notes](https://developers.google.com/api-client-library/java/google-oauth-java-client/release-notes)
- [Support (Questions, Bugs)](https://developers.google.com/api-client-library/java/google-oauth-java-client/support)

## Links
- Blogs
  - [Announcements](http://google-oauth-java-client.blogspot.com/)
- Groups
  - [Discuss](http://groups.google.com/group/google-oauth-java-client)
